import request from '@/utils/request';

/**
 * 查询对账单记录列表
 * @query [ pageNum: 分页对象的起始页码; pageSize: 分页对象的每页显示条目个数; beginTime: 开始时间; endTime: 结束时间; sortField: 排序字段; sortOrder: 排序方式; ]
 */
export function listStatements(query) {
  return request({
    url: '/order/orderBill/newDetailPageList',
    method: 'get',
    params: query
  });
}

/**
 * 导出对账单记录
 * @query [ beginTime: 开始时间; endTime: 结束时间; sortField: 排序字段; sortOrder: 排序方式; ]
 */
export function exportStatements(query) {
  return request({
    url: '/order/orderBill/exportNewDetailPageList',
    method: 'get',
    responseType: 'blob',
    params: query
  });
}
